Page MenuHomePhabricator

rust-hgpath: replace all paths and filenames with HgPath/HgPathBuf
ClosedPublic

Authored by Alphare on Aug 29 2019, 10:40 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Aug 29 2019, 10:40 AM
Alphare updated this revision to Diff 16340.Aug 30 2019, 10:38 AM
Alphare updated this revision to Diff 16365.Sep 2 2019, 4:41 AM
Alphare updated this revision to Diff 16367.Sep 3 2019, 4:58 AM
kevincox accepted this revision.Sep 12 2019, 4:25 AM
kevincox added inline comments.
rust/hg-core/src/utils/files.rs
75

Is this used? Can you either use, delete or add tests.

Alphare updated this revision to Diff 16530.Sep 13 2019, 6:07 AM
Alphare added inline comments.Sep 13 2019, 6:10 AM
rust/hg-core/src/utils/files.rs
75

I think the rebase fixed the diff.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.